import React from "react";
import Image from "next/image";
import brand1 from "@/assets/images/partner-logos/brand1.jpg";
import brand2 from "@/assets/images/partner-logos/brand2.jpg";
import brand3 from "@/assets/images/partner-logos/brand3.jpg";
import brand4 from "@/assets/images/partner-logos/brand4.jpg";
import brand5 from "@/assets/images/partner-logos/brand5.jpg";
import brand6 from "@/assets/images/partner-logos/brand6.jpg";
import brand7 from "@/assets/images/partner-logos/brand7.jpg";

export default function Partners() {
  const logos = [brand1, brand2, brand3, brand4, brand5, brand6, brand7];
  return (
    <div className="container mx-auto py-3 pt-14">
      <div className="text-3xl text-[#002D4F] font-semibold text-center w-full mb-10">
        Our Partners
      </div>
      <div className="marquee-container overflow-hidden whitespace-nowrap">
        {Array.from({ length: 3 }).map((_, i) => (
          <div key={i} className="marquee-content inline-block">
            {logos.map((logo, index) => (
              <div
                key={`${i}+${index}`}
                className="inline-block rounded-md w-[170px] h-[80px] px-6 py-1 border-[1px] border-[#8D7C3B]/50 overflow-hidden mx-2"
              >
                <div className="flex items-center justify-center h-[80px]">
                  <Image
                    width={170}
                    height={80}
                    className="object-contain"
                    src={logo}
                    alt={`Logo ${index + 1}`}
                  />
                </div>
              </div>
            ))}
          </div>
        ))}
      </div>
    </div>
  );
}
